---
title: "Generating Reports"
slug: "generating-reports-guide"
updated: 2025-09-29T21:48:13Z
published: 2025-09-29T21:48:13Z
canonical: "kb.connecttoteams.com/generating-reports-guide"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://kb.connecttoteams.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generating Reports

As a Partner or Master Reseller or Reseller, you may generate the following reports via API.

### Billing Summary

This method generates a report containing summarized billable counts of services.

**API Doc**

/[reseller/v3/getBillingSummaryReport](/v1-api/apidocs/resellerv3getbillingsummaryreport-1)

**API Endpoint**

Method: `GET`

Path: `reseller/v3/getBillingSummaryReport`

**Sample Request**

```shell
curl --location 'https://api.connecttoteams.com/reseller/v3/getBillingSummaryReport?resellerid=287&masterResellerId=53' \
--header 'Authorization: Bearer <access token>'
```

**Key Fields**

`masterResellerId (Integer)` - (required) The masterResellerId of a master reseller. If you are using a Partner token, make call for each master reseller under your partner account. To get your master reseller customers, use endpoint [/reseller/v3/getResellersOrMasterResellers](/v1-api/apidocs/resellergetresellersormasterresellers-1) and pass your partner Id.

**Sample Response**

```json
{
    "draw": 0,
    "recordsTotal": 2,
    "recordsFiltered": 2,
    "data": {
        "_embedded": {
            "summaryBillingReportList": [
                {
                    "resellerName": "TeamMateReseller",
                    "enterpriseName": "Teammate Technology",
                    "enterpriseId": 78,
                    "licensesInUse": 41,
                    "pbxLicense": 25,
                    "trunkLicense": 4,
                    "valetLicense": 16,
                    "smsLicense": 48,
                    "chatLicense": 4,
                    "operatorConnectLicense": 0,
                    "externalTrunkLicense": 0,
                    "callRecordingLicense": 2,
                    "enterpriseBillingReference": "test billing Ref",
                    "_links": {
                        "getEnterprises": {
                            "href": "/reseller/v3/getEnterprisesForReseller?resellerId=54"
                        }
                    }
                },
                {
                    "resellerName": "TeamMateReseller",
                    "enterpriseName": "SQC Enterprise",
                    "enterpriseId": 517,
                    "licensesInUse": 3,
                    "pbxLicense": 3,
                    "trunkLicense": 2,
                    "valetLicense": 0,
                    "smsLicense": 2,
                    "chatLicense": 0,
                    "operatorConnectLicense": 0,
                    "externalTrunkLicense": 0,
                    "callRecordingLicense": 0,
                    "_links": {
                        "getEnterprises": {
                            "href": "/reseller/v3/getEnterprisesForReseller?resellerId=54"
                        }
                    }
                },
        },
        "_links": {
            "baseUrl": {
                "href": "http://api.connecttoteams.com"
            }
        }
    }
}
```
